Index: common/libs/func_book_parser
===================================================================
--- common/libs/func_book_parser	(revision 8c48f242875410a77b3bfa4b446261eb1c72921d)
+++ common/libs/func_book_parser	(revision b8cc36b7514ecf4d0aa89356dc7e99f87b03ece7)
@@ -17,7 +17,5 @@
       lfs) svn_root="LFS" ;;
       hlfs) svn_root="HLFS" ;;
-      clfs) svn_root="cross-lfs" ;;
-      clfs2) svn_root="cross-lfs" ;;
-      clfs3) svn_root="cross-lfs" ;;
+      clfs*) svn_root="cross-lfs" ;;
       *) echo "BOOK not defined in function <get_book>"
           exit 1 ;;
@@ -26,9 +24,21 @@
     # repo. If we've already extracted the commands, move on to getting the
     # sources.
-    if ! [ -d ${PROGNAME}-$LFSVRS ] || ! [ -d ${PROGNAME}-$LFSVRS/.svn ]; then
-      svn co $SVN/${svn_root}/${TREE} ${PROGNAME}-$LFSVRS >>$LOGDIR/$LOG 2>&1
+    if [ $PROGNAME == "lfs" ] || [ $PROGNAME == "hlfs" ] && [ ! -d ${PROGNAME}-${LFSVRS}/.svn ]; then
+        svn co $SVN/${svn_root}/${TREE} ${PROGNAME}-$LFSVRS >>$LOGDIR/$LOG 2>&1
+    elif [ $PROGNAME == "clfs" ]  || [ $PROGNAME == "clfs2" ] || [ $PROGNAME == "clfs3" ] && [ ! -d ${PROGNAME}-${LFSVRS}/.git ]; then
+        echo $TREE
+        git clone $GIT ${PROGNAME}-$LFSVRS >>$LOGDIR/$LOG 2>&1
+        if [ ! $TREE == "development" ]; then
+           cd ${PROGNAME}-$LFSVRS
+           echo "Checking out $LFSVRS at $PWD in $TREE"
+           git checkout ${TREE} >>$LOGDIR/$LOG 2>&1
+        fi
     else
       cd ${PROGNAME}-$LFSVRS
-      svn up >>$LOGDIR/$LOG 2>&1
+      case $PROGNAME in
+        clfs*)  git pull >>$LOGDIR/$LOG 2>&1 ;;
+        lfs | hlfs) svn up >>$LOGDIR/$LOG 2>&1 ;;
+        *) ;;
+      esac
     fi
     echo -ne "done\n"
@@ -49,6 +59,6 @@
   cd $JHALFSDIR
   case $PROGNAME in
-    clfs | clfs2 | clfs3 )
-      VERSION=$(xmllint --noent $BOOK/prologue/$ARCH/bookinfo.xml 2>/dev/null | grep subtitle | sed -e 's/^.*ion //'  -e 's/<\/.*//') ;;
+    clfs*)
+      VERSION=$(xmllint --noent BOOK/prologue/$ARCH/bookinfo.xml 2>/dev/null | grep subtitle | sed -e 's/^.*ion //'  -e 's/<\/.*//') ;;
     *)
       VERSION=$(xmllint --noent $BOOK/prologue/bookinfo.xml 2>/dev/null | grep subtitle | sed -e 's/^.*ion //'  -e 's/<\/.*//')  ;;
@@ -76,5 +86,5 @@
                  --stringparam lang $LANG \
                  --stringparam sparc $SPARC64_PROC \
-                 -o ./${PROGNAME}-commands/ $XSL $BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
+                 -o ./${PROGNAME}-commands/ $XSL $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
 
@@ -87,5 +97,5 @@
                  --stringparam page $PAGE \
                  --stringparam lang $LANG \
-                 -o ./${PROGNAME}-commands/ $XSL $BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
+                 -o ./${PROGNAME}-commands/ $XSL $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
 
@@ -98,5 +108,5 @@
                  --stringparam page $PAGE \
                  --stringparam lang $LANG \
-                 -o ./${PROGNAME}-commands/ $XSL $BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
+                 -o ./${PROGNAME}-commands/ $XSL $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
 
@@ -162,7 +172,7 @@
   echo -n "... "
   case ${PROGNAME} in
-    clfs | clfs2 | clfs3 )
+    clfs*)
         xsltproc --nonet --xinclude -o pkg_tarball_list packages.xsl \
-                 $BOOK/materials/${ARCH}-chapter.xml >>$LOGDIR/$LOG 2>&1
+                 $BOOK/BOOK/materials/${ARCH}-chapter.xml >>$LOGDIR/$LOG 2>&1
       ;;
     hlfs)
@@ -179,4 +189,5 @@
                  $BOOK/chapter03/chapter03.xml >>$LOGDIR/$LOG 2>&1
       ;;
+    *)
   esac
 
Index: common/libs/func_check_version.sh
===================================================================
--- common/libs/func_check_version.sh	(revision 8c48f242875410a77b3bfa4b446261eb1c72921d)
+++ common/libs/func_check_version.sh	(revision b8cc36b7514ecf4d0aa89356dc7e99f87b03ece7)
@@ -90,5 +90,10 @@
 
   # Maybe we should check xsltproc first?
-  eval $(xsltproc $COMMON_DIR/hostreqs.xsl $BOOK/prologue/hostreqs.xml)
+    case $PROGNAME in
+      clfs | clfs2 | clfs3) HOSTREQS="BOOK/prologue/common/hostreqs.xml" ;;
+      *) HOSTREQS="prologue/hostreqs.xml" ;;
+    esac
+
+  eval $(xsltproc $COMMON_DIR/hostreqs.xsl $BOOK/$HOSTREQS)
   # Avoid translation of version strings
   local LC_ALL=C
